"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.lineNumberContainerStyle = exports.codeTagProps = void 0;

var _react = _interopRequireDefault(require("react"));

var _asyncSyntaxHighlighter = _interopRequireDefault(require("react-syntax-highlighter/dist/esm/async-syntax-highlighter"));

var _supportedLanguages = _interopRequireDefault(require("react-syntax-highlighter/dist/esm/languages/prism/supported-languages"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var theme = require('./theme.json');

var Highlighter = (0, _asyncSyntaxHighlighter["default"])({
  loader: function loader() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require('refractor'));
    }).then(function (module) {
      return module["default"] || module;
    });
  },
  noAsyncLoadingLanguages: true,
  supportedLanguages: _supportedLanguages["default"]
});
var codeTagProps = {
  style: {
    fontFamily: 'Roboto Mono, Consolas, Menlo, Monaco, \"Andale Mono WT\", \"Andale Mono\", \"Lucida Console\", \"Lucida Sans Typewriter\", \"DejaVu Sans Mono\", \"Bitstream Vera Sans Mono\", \"Liberation Mono\", \"Nimbus Mono L\", \"Courier New\", Courier, monospace',
    fontSize: '14px',
    lineHeight: '1.574',
    direction: 'ltr',
    textAlign: 'left',
    whiteSpace: "pre",
    wordSpacing: 'normal',
    wordBreak: 'normal',
    MozTabSize: '2',
    OTabSize: '2',
    tabSize: '2',
    WebkitHyphens: 'none',
    MozHyphens: 'none',
    msHyphens: 'none',
    hyphens: 'none',
    background: 'none',
    color: '#24DA8D'
  }
};
exports.codeTagProps = codeTagProps;
var lineNumberContainerStyle = {
  color: '#8FA6B2',
  "float": 'left',
  opacity: 0.5,
  paddingRight: 20,
  textAlign: 'right'
};
exports.lineNumberContainerStyle = lineNumberContainerStyle;

function SyntaxHighligher(props) {
  return _react["default"].createElement(Highlighter, props);
}

SyntaxHighligher.defaultProps = {
  style: theme,
  codeTagProps: codeTagProps,
  showLineNumbers: true,
  lineNumberContainerStyle: lineNumberContainerStyle
};
var _default = SyntaxHighligher;
exports["default"] = _default;